Skip to content

Inspect an endpoint's safe diagnostics and account unread status

GET/v1/notifications/endpoints/{endpointId}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

endpointId*string
Format:uuid

Query Parameters

accountId?string

Owner/admin management target; defaults to self.

Format:uuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/notifications/endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "endpoint": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
    "url": "string",
    "profile": {
      "kind": "standard"
    },
    "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
    "createdAt": "2019-08-24T14:15:22Z",
    "disabledAt": "2019-08-24T14:15:22Z",
    "lastAttemptAt": "2019-08-24T14:15:22Z",
    "lastSuccessAt": "2019-08-24T14:15:22Z",
    "lastError": "invalid_target"
  },
  "status": {
    "position": "string",
    "unreadCount": 0,
    "oldestUnreadAt": "2019-08-24T14:15:22Z"
  }
}